org.bdgenomics.adam.converters

# VariantContextConverter

###
Related Docs: class VariantContextConverter | package converters

#### object VariantContextConverter extends Serializable

Object for converting between htsjdk and ADAM VariantContexts.

Handles Variant, Genotype, Allele, and various genotype annotation conversions. Does not handle Variant annotations. Genotype annotations are annotations in the VCF GT field while Variant annotations are annotations contained in the VCF INFO field.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantContextConverter
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(headerLines: Seq[VCFHeaderLine], stringency: ValidationStringency, conf: Configuration): VariantContextConverter

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### val nestAnnotationInGenotypesProperty: String

    If set to true, this property will ensure that the variant.annotation field in the Genotype record is populated after conversion from an htsjdk VariantContext.

    If set to true, this property will ensure that the variant.annotation field in the Genotype record is populated after conversion from an htsjdk VariantContext. By default, this property is false.

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def setNestAnnotationInGenotypesProperty(conf: Configuration, populateNestedAnn: Boolean): Unit

    Sets the value of the nest annotation in genotypes property.

    Sets the value of the nest annotation in genotypes property.

    conf

      Hadoop configuration to set the property in.

    populateNestedAnn

      If true, the nested field is populated.

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped